Bug 1009170 - Add Hadoop 2.x support and generate avro-ipc, avro-mapred artifacts
Add Hadoop 2.x support and generate avro-ipc, avro-mapred artifacts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: avro (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Ricardo Arguello
Fedora Extras Quality Assurance
: Improvement
Depends On:
Blocks: bigdata-review
  Show dependency treegraph
 
Reported: 2013-09-17 17:25 EDT by Pete MacKinnon
Modified: 2013-11-10 01:53 EST (History)
4 users (show)

See Also:
Fixed In Version: avro-1.7.5-1.fc20
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:53:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete MacKinnon 2013-09-17 17:25:22 EDT
Now that Hadoop 2.x has been added to Fedora, could you please either:

a) update to the latest avro (1.7.5), or
b) apply the patches at https://issues.apache.org/jira/browse/AVRO-593

This will enable Hadoop 2.x compatibility.

Also certain Hadoop-related ecosystem projects will be coming on line soon (like Hive) in Fedora, and they will need the avro-ipc and avro-mapred dependencies to be published as sub-packages.
Comment 1 Chen Lei 2013-10-16 23:41:14 EDT
(In reply to Pete MacKinnon from comment #0)
> Now that Hadoop 2.x has been added to Fedora, could you please either:
> 
> a) update to the latest avro (1.7.5), or
> b) apply the patches at https://issues.apache.org/jira/browse/AVRO-593
> 
> This will enable Hadoop 2.x compatibility.
> 
> Also certain Hadoop-related ecosystem projects will be coming on line soon
> (like Hive) in Fedora, and they will need the avro-ipc and avro-mapred
> dependencies to be published as sub-packages.

It seems avro-ipc and avro-mapred should be packaged seperately in Fedora.

See http://mirrors.cnnic.cn/apache/avro/avro-1.7.5/java/
Comment 2 Pete MacKinnon 2013-10-17 16:59:13 EDT
I've gone ahead and put together an updated spec/srpm for avro 1.7.5. It can be found at:

http://pmackinn.fedorapeople.org/avro/avro.spec
http://pmackinn.fedorapeople.org/avro/avro-1.7.5-1.fc19.src.rpm

It builds fine on rawhide (koji, mock) but the libthrift-java dep has not shown up yet on f20 testing yet.

Please let me know what you think.
Comment 3 gil cattaneo 2013-10-23 14:32:39 EDT
hi Pete
usually you must create a git patch
e.g.
fedpkg clone [PACKAGE NAME]

cd [PACKAGE NAME]
optional, removes all files no longer needed
git rm [FILES LIST] 
git add [PACKAGE NAME].spec [FILES LIST] e.g. patches or other file which don't a have url
optional, when update a package
fedpkg new-sources [PATH SOURCE ARCHIVE]/[SOURCE ARCHIVE]
git commit -m "[COMMENT]"
git format-patch master^

in this case with this procedure is generate a patch
like 0001-Updated-to-1.7.5.patch
then you can upload here instead of spec file and src rpm
Comment 4 gil cattaneo 2013-10-23 14:35:52 EDT
(In reply to gil cattaneo from comment #3)

> fedpkg new-sources [PATH SOURCE ARCHIVE]/[SOURCE ARCHIVE]
and all those files that have a url
Comment 5 Pete MacKinnon 2013-10-23 15:35:52 EDT
Gil, understood. But I don't own the package and wanted Ricardo to review the preliminary result first before doing what you describe.
Comment 6 gil cattaneo 2013-10-23 15:47:42 EDT
i know, apologized if my comment was inappropriate
see also:
https://bugzilla.redhat.com/show_bug.cgi?id=1020835
https://bugzilla.redhat.com/show_bug.cgi?id=1005502
snappy-java changes
Comment 7 Fedora Update System 2013-10-30 06:58:37 EDT
avro-1.7.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/avro-1.7.5-1.fc20
Comment 8 Fedora Update System 2013-10-30 13:11:41 EDT
Package avro-1.7.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing avro-1.7.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20324/avro-1.7.5-1.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-11-10 01:53:15 EST
avro-1.7.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.